Loading...
Searching...
No Matches
QEventBus.hpp File Reference

Thread-safe event bus. More...

`#include <EASTL/functional.h>`
`#include <EASTL/unordered_map.h>`
`#include <EASTL/vector.h>`
`#include <EASTL/queue.h>`
`#include <EASTL/unique_ptr.h>`
`#include <typeindex>`
`#include <mutex>`
`#include "IEvent.hpp"`

Go to the source code of this file.

## Classes

struct | mce::core::SubscriptionToken
| Token object that controls the lifetime of an event subscription. More...
class | mce::core::QEventBus
| Thread-safe event bus. More...

## Detailed Description

Thread-safe event bus.